FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000075FL52.2 Subprogram FLUC (CONV)public2013-06-23 13:392015-10-21 21:13
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version 
Target Version5.1.09Fixed in Version5.1.09 
Summary0000075: Add OpenPGP support to data conversions
DescriptionOpenPGP Dateiverschl├╝sselung als Konvertierungskomponente f├╝r Originaldaten
TagsNo tags attached.
Attached Files

- Relationships
related to 0000699resolvedFalk Reichbott SAF-KeyRing support 

-  Notes
(0000894)
Falk Reichbott (administrator)
2015-10-21 21:13

With version 5.1.9 FLAM support read and write of OpenPGP files (binary or base encoded) conform to RFC4880. Currently a PKCS#11 and IBM-CCA (ICSF) solution for RSA based keys are supported over the new FLAM key management extension in version 5 (FKM5). Based on this support for hardware security modules (HSM) the solution is PCIDSS conform and used by our customers for credit card ordering.

The management of the static PGP primary and sub keys requirs only a CCA/ICSF PKDS or data object support by PKCS#11. No other key stores must be managed with FLAM to read and write OpenPGP files.

On z/OS, USS or zLinux the mass data encryption is accelorated by CPACF and on other platforms AES acceloration of the certain CPUs are used.

The first version of this support includes Symmetric encrypted and semmetric encrypted and integrity protected data packets. Additional the 3 defined compression algorithms are supported.

The read of PGP files can be used complete transparent by application using our byte, stream or record interfaces.

To the operational read and write using the CONV, XCNV DIFF and other commands a new key management command was added to generate, export, import, delete and list PGP keys. This basic key management functions support ASCII Armor or binary PGP key files import and export.

- Issue History
Date Modified Username Field Change
2013-06-23 13:39 Falk Reichbott New Issue
2013-06-23 13:39 Falk Reichbott Status new => assigned
2013-06-23 13:39 Falk Reichbott Assigned To => Falk Reichbott
2013-06-27 23:16 Falk Reichbott Category 1. FLAM/Software/Product => 2.2 Subprogram FLUC (CONV)
2013-06-27 23:16 Falk Reichbott View Status private => public
2013-06-27 23:19 Falk Reichbott Project @2@ => FL5
2014-09-08 10:26 Falk Reichbott Target Version 5.1 => 5.2
2014-09-08 10:26 Falk Reichbott Target Version 5.2 => 5.3
2015-06-29 09:06 Falk Reichbott Target Version 5.3 => 5.2
2015-06-29 09:12 Falk Reichbott Target Version 5.2 => 5.1
2015-06-29 09:12 Falk Reichbott Relationship added related to 0000699
2015-07-09 18:48 Falk Reichbott Target Version 5.1 => 5.1.08
2015-08-13 18:45 Falk Reichbott Target Version 5.1.08 => 5.1.09
2015-10-21 21:13 Falk Reichbott Note Added: 0000894
2015-10-21 21:13 Falk Reichbott Status assigned => resolved
2015-10-21 21:13 Falk Reichbott Fixed in Version => 5.1.09
2015-10-21 21:13 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker